Update agent
curl --request PATCH \
--url https://api.upon-ai.com/api/agents/{agentId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"workspaceId": 123,
"interruption_sensitivity": "<string>",
"max_call_duration_ms": 123,
"responsiveness": "<string>"
}
'import requests
url = "https://api.upon-ai.com/api/agents/{agentId}"
payload = {
"workspaceId": 123,
"interruption_sensitivity": "<string>",
"max_call_duration_ms": 123,
"responsiveness": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
workspaceId: 123,
interruption_sensitivity: '<string>',
max_call_duration_ms: 123,
responsiveness: '<string>'
})
};
fetch('https://api.upon-ai.com/api/agents/{agentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"agent_id": "<string>",
"version": 123,
"agent_name": "<string>",
"voice_id": "<string>",
"response_engine": {
"type": "<string>",
"llm_id": "<string>"
},
"response_threshold": 123,
"interruption_sensitivity": "<string>",
"ambient_sound": "<string>",
"responsiveness": "<string>",
"max_call_duration_ms": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}Agents
Update agent
Apply partial updates to an existing agent configuration.
PATCH
/
api
/
agents
/
{agentId}
Update agent
Authorizations
Generate tokens from your profile settings at app.uponai.com.
Path Parameters
Agent identifier.
Query Parameters
Specific version to retrieve or update.
Required range:
x >= 1Body
application/json
Response
200 - application/json
Updated agent.
Show child attributes
Show child attributes
⌘I